package com.goafanti.common.model;

import java.io.Serializable;
import java.util.Date;

/**
 * expense_account_log
 * @author 
 */
public class ExpenseAccountLog implements Serializable {
    /**
     * id
     */
    private Integer id;

    /**
     * 报销编号
     */
    private Integer eaid;

    /**
     * 流程状态 0=成员发起，1=上级审核，2=部门负责人审核，3=财务审核，4=财务复审，5=董事长，6=财务管理员，7=公司副总，8=出纳
     */
    private Integer processStatus;

    /**
     * 状态 0发起 1通过 2完成 3驳回 4撤销 5修改
     */
    private Integer status;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 审核人
     */
    private String auditor;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 0=正常，1=旧日志，2=跳过日志
     */
    private Integer showStatus;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getEaid() {
        return eaid;
    }

    public void setEaid(Integer eaid) {
        this.eaid = eaid;
    }

    public Integer getProcessStatus() {
        return processStatus;
    }

    public void setProcessStatus(Integer processStatus) {
        this.processStatus = processStatus;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getAuditor() {
        return auditor;
    }

    public void setAuditor(String auditor) {
        this.auditor = auditor;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getShowStatus() {
        return showStatus;
    }

    public void setShowStatus(Integer showStatus) {
        this.showStatus = showStatus;
    }
}